- name: work with jinja templates
  hosts: localhost
  gather_facts: false

  tasks:
    - name: sort numbers
      debug:
        msg: "{{ [1,5, 2, 0, 12] | sort }}"
    - name: sum numbers
      debug:
        msg: "{{ [1,5, 2, 0, 12] | sum }}"
    - name: first number
      debug:
        msg: "{{ [1,5, 2, 0, 12] | first }}"
    - name: first number
      debug:
        msg: "{{ [1,5, 2, 0, 12] | last }}"
    - name: big number
      debug:
        msg: "{{ [1,5, 2, 0, 12] | max }}"
    - name: assert big number is 12
      assert:
        that: 
          - "{{ [1,5, 2, 0, 12] | max }} is eq ( 12 )"
          - "{{ [1,5, 2, 0, 12] | min }} is eq ( 0 )"
      tags: assert
    - name: pickup random value
      debug:
        msg: "{{ ['Douglas', 'Marvin', 'Arthur'] | random }}"
      tags: random
    - name: hash filter
      debug:
        msg: "{{ 'peer' | hash('sha1') }}"
      tags: hash
    - name: passwordhash filter
      debug:
        msg: "{{ 'peer' | password_hash('sha256') }}"
      tags: hash
    - name: encode and decode with b64
      vars: 
        en_val: "{{ 'peer' | b64encode }}"
        de_val: "{{ en_val | b64decode }}"
      debug:
        msg: "encoded {{ en_val }} and decoded {{ de_val }}"
      tags: encode

    - name: text upper, lower and capitalize
      debug:
        msg: "{{ 'peer' | upper }} - {{ 'PEER' | lower }} - {{ 'pEER' | capitalize }}"
      tags: text